DateColumnStatistics (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Interface DateColumnStatistics

- All Superinterfaces:
    ColumnStatistics

      public interface DateColumnStatistics
      extends ColumnStatistics

  Statistics for DATE columns.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getMaximum()` Deprecated. Use #getMaximumLocalDate instead
    `long` | `getMaximumDayOfEpoch()` Get the maximum value for the column.
    `ChronoLocalDate` | `getMaximumLocalDate()` Get the maximum value for the column.
    `Date` | `getMinimum()` Deprecated. Use #getMinimumLocalDate instead
    `long` | `getMinimumDayOfEpoch()` Get the minimum value for the column.
    `ChronoLocalDate` | `getMinimumLocalDate()` Get the minimum value for the column.

    - ### Methods inherited from interface org.apache.orc.ColumnStatistics

      `getBytesOnDisk, getNumberOfValues, hasNull`

- - ### Method Detail

    - #### getMinimumLocalDate

          ChronoLocalDate getMinimumLocalDate()

      Get the minimum value for the column.
      Returns:
        minimum value as a LocalDate

    - #### getMinimumDayOfEpoch

          long getMinimumDayOfEpoch()

      Get the minimum value for the column.
      Returns:
        minimum value as days since epoch (1 Jan 1970)

    - #### getMaximumLocalDate

          ChronoLocalDate getMaximumLocalDate()

      Get the maximum value for the column.
      Returns:
        maximum value as a LocalDate

    - #### getMaximumDayOfEpoch

          long getMaximumDayOfEpoch()

      Get the maximum value for the column.
      Returns:
        maximum value as days since epoch (1 Jan 1970)

    - #### getMinimum

          Date getMinimum()

      Deprecated. Use #getMinimumLocalDate instead
      Get the minimum value for the column.
      Returns:
        minimum value

    - #### getMaximum

          Date getMaximum()

      Deprecated. Use #getMaximumLocalDate instead
      Get the maximum value for the column.
      Returns:
        maximum value

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.